import { MockAdapter } from '../mock-adapter';
const mock = MockAdapter.getInstance();

import Mock from 'mockjs'

// 获取studio链接数据
mock.onGet('./assets/json/view-config.json').reply((config: any) => {
    let status = MockAdapter.mockStatus(config);
    return [status,{
                "hrorgcontacteditview": {
            "title": "组织联系信息编辑视图",
            "caption": "组织联系信息",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "HROrgContactEditView",
            "viewtag": "0515a652f1ba4326ef610f1d98be95c8"
        },
        "hrorganizationgridview": {
            "title": "组织",
            "caption": "组织",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "HROrganizationGridView",
            "viewtag": "0d8ac739134947cc5f6545d4041024de"
        },
        "hrlegaldashboardview": {
            "title": "法人数据看板视图",
            "caption": "法人信息",
            "viewtype": "DEPORTALVIEW",
            "viewmodule": "Base",
            "viewname": "HRLegalDashboardView",
            "viewtag": "18769b2868ba1e27d9392575c10d6bfa"
        },
        "hroperationunitgridview": {
            "title": "运营单位",
            "caption": "运营单位",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "HROperationUnitGridView",
            "viewtag": "286e8ac9eca7b6eb8058fde93995db10"
        },
        "hroperationuniteditview": {
            "title": "运营单位编辑视图",
            "caption": "运营单位",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "HROperationUnitEditView",
            "viewtag": "28aca0d4ad43b8ef609172d9be9359c7"
        },
        "hrorgaddressgridview": {
            "title": "组织地址表格视图",
            "caption": "组织地址",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "HROrgAddressGridView",
            "viewtag": "2b64c322042da1808776304d21c90e45"
        },
        "hrorgaddressv_001": {
            "title": "组织地址嵌入组织",
            "caption": "组织地址嵌入组织",
            "viewtype": "DEGRIDVIEW9",
            "viewmodule": "Base",
            "viewname": "HROrgAddressV_001",
            "viewtag": "3110aca6f6c27996e9874cfb924c569f"
        },
        "hrlegalgridview": {
            "title": "法人",
            "caption": "法人",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "HRLegalGridView",
            "viewtag": "41036146909ab3f28ff59b80370514b2"
        },
        "pim": {
            "title": "人力资源管理",
            "caption": "基础管理",
            "viewtype": "APPINDEXVIEW",
            "viewmodule": "Ungroup",
            "viewname": "PIM",
            "viewtag": "49CD8BAE-D640-4816-8313-5D8609BB0041"
        },
        "hrorgcontactgridview": {
            "title": "组织联系信息表格视图",
            "caption": "组织联系信息",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "HROrgContactGridView",
            "viewtag": "53de2c13a619e20769cdc9dbfa10e1a5"
        },
        "hrorgcontactv_001": {
            "title": "组织联系信息嵌入组织",
            "caption": "组织联系信息嵌入组织",
            "viewtype": "DEGRIDVIEW9",
            "viewmodule": "Base",
            "viewname": "HROrgContactV_001",
            "viewtag": "7692fb3c8e0208004f100d2da5db17e0"
        },
        "hrorgaddresseditview": {
            "title": "组织地址编辑视图",
            "caption": "组织地址",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "HROrgAddressEditView",
            "viewtag": "90f2bd2f58c482b25a1e1db0f8e4ca26"
        },
        "hrlegalv_002": {
            "title": "法人编辑视图",
            "caption": "法人",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "HRLegalV_002",
            "viewtag": "9420eeffff765c2a6e4ac27dfae7fb2d"
        },
        "hremployeegridview": {
            "title": "员工表格视图",
            "caption": "员工",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HREmployeeGridView",
            "viewtag": "9559258a9c3ac118e15ead941b780682"
        },
        "hrlegalv_001": {
            "title": "法人快速新建",
            "caption": "快速新建",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "Base",
            "viewname": "HRLegalV_001",
            "viewtag": "af1a0e288eecf89cd99ed798594e1753"
        },
        "hrorganizationeditview": {
            "title": "组织编辑视图",
            "caption": "组织",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "HROrganizationEditView",
            "viewtag": "b4ef4b87eb87fc3a2a8479027d62ac4c"
        },
        "hremployeeeditview": {
            "title": "员工编辑视图",
            "caption": "员工",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HREmployeeEditView",
            "viewtag": "b932c0eb66409c638c29ee27ba4fda37"
        },
        "hrlegaleditview": {
            "title": "法人编辑视图",
            "caption": "法人",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "HRLegalEditView",
            "viewtag": "e50ad3e1883bafa2d6f264d44ca8ff89"
        },
        "hrlegaltabexpview": {
            "title": "法人信息",
            "caption": "法人信息",
            "viewtype": "DETABEXPVIEW",
            "viewmodule": "Base",
            "viewname": "HRLegalTabExpView",
            "viewtag": "f6a6d0da81100b5a69aba1b9b967b6ab"
        }
    }];
});